karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Problem deploying 4.2.3 custom distribution
Date Sun, 24 Feb 2019 10:31:11 GMT
Hi Fabian,

What Maven version are you using ? And do you have wagon defined in your
pom.xml ?

Karaf itself is a custom distribution, so, it works fine. I think it's
dependency version issue on wagon.

Regards
JB

On 24/02/2019 11:20, Fabian Lange wrote:
> Hi,
> 
> did anyone come across this problem when deploying a 4.2.3 custom distribution?
> 
> [ERROR] Failed to execute goal
> org.apache.maven.plugins:maven-deploy-plugin:2.8.2:deploy
> (default-deploy) on project karaf-assembly: Execution default-deploy
> of goal org.apache.maven.plugins:maven-deploy-plugin:2.8.2:deploy
> failed: An API incompatibility was encountered while executing
> org.apache.maven.plugins:maven-deploy-plugin:2.8.2:deploy:
> java.lang.NoSuchMethodError:
> org.apache.maven.wagon.shared.http.AbstractHttpClientWagon.getBufferCapacityForTransfer(J)I
> 
> 
> I have the feeling that there is a new dependency from pax-url / karaf
> maven plugin interfering with mvn-deploy?
> 
> I will dig into this and report findings, if somebody has seen and
> solved this let me know. Thx
> 
> Fabian
> 

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message